unit ControlPanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TControl_Panel = class(TForm)
    Button1: TButton;
    Button2: TButton;
    StaticText5: TStaticText;
    EditX1: TEdit;
    EditX2: TEdit;
    EditY1: TEdit;
    EditY2: TEdit;
    StaticText2: TStaticText;
    StaticText7: TStaticText;
    CheckBox1: TCheckBox;
    EditNumber: TEdit;
    StaticText1: TStaticText;
    StaticText4: TStaticText;
    StaticText3: TStaticText;
    procedure Explicit_Curve(Sender: TObject);
    procedure Konec(Sender: TObject);
    procedure SetDraw2D(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
    NumberOfSegments:Integer;
    procedure Setting;
  end;

var
  Control_Panel: TControl_Panel;

implementation

uses Graph2d;

{$R *.DFM}

procedure TControl_Panel.Konec(Sender: TObject);
begin
  Draw2D.Visible:=False;
  Halt;
end;

procedure TControl_Panel.Setting;
var Number:Real;
    Code :Integer;
begin
    Val(EditX1.Text,Number,Code);Draw2D.x1:=Number;
    Val(EditX2.Text,Number,Code);Draw2D.x2:=Number;
    Val(EditY1.Text,Number,Code);Draw2D.y1:=Number;
    Val(EditY2.Text,Number,Code);Draw2D.y2:=Number;
    VAl(EditNumber.Text,Number,Code);
    NumberOfSegments:=Trunc(Number);
end;

procedure TControl_Panel.Explicit_Curve(Sender: TObject);
  var i   :Integer;

  function f(x:Double):Double;
  begin
    if x=0 then f:=0
           else f:=x+10*x*x*sin(1/x);
  end;

  begin
   Setting;
   With Draw2D do
   begin
    ClearImage;
    Scale(x1,x2,y1,y2);
    Red:=255;Green:=0;Blue:=0;
    if CheckBox1.Checked then
    begin
        XAxis(x1,x2,0,clRed);YAxis(y1,y2,0,clRed);
        XScale(x1,x2,0,clRed);YScale(y1,y2,0,clRed);
    end;
    {konstrukce krivky jako lomene cary}
    hx:=(x2-x1)/NumberOfSegments;
    x:=x1;i:=0;
    Repeat
       Q[i,1]:=x;Q[i,2]:=f(x);
       x:=x+hx;inc(i);
    Until x>x2;
    PolyLine(Q,i,clBlue);
  end;
end;

procedure TControl_Panel.SetDraw2D(Sender: TObject);
begin
  Application.CreateForm(TDraw2D, Draw2D);
  With Draw2D do
  begin
    ClientWidth:=500;ClientHeight:=500;
    Caption:='Function y=f(x)';
    Top:=40;Left:=400;
    Visible:=True;
  end;
end;


end.
